package projectzombie.init;

import java.util.ArrayList;

import projectzombie.items.Item;
import projectzombie.items.ItemAcorn;
import projectzombie.items.ItemAmmo;
import projectzombie.items.ItemEmpty;
import projectzombie.items.ItemFlare;
import projectzombie.items.ItemFlint;
import projectzombie.items.ItemGrapplingHook;
import projectzombie.items.ItemHealthPotion;
import projectzombie.items.ItemHempSeed;
import projectzombie.items.ItemInfestation;
import projectzombie.items.ItemLantern;
import projectzombie.items.ItemLog;
import projectzombie.items.ItemPlantFibre;
import projectzombie.items.ItemRock;
import projectzombie.items.ItemTnt;
import projectzombie.items.spawner.ItemSpawnDummy;
import projectzombie.items.spawner.ItemSpawnZombie;

public class Items
{
	public static ArrayList<Item> items = new ArrayList<Item>();
	
	private static void register(Item item) {
		item.id = items.size();
		items.add(item);
	}
	
	public static void init()
	{
		register(EMPTY);
		
		register(AMMO);
		register(HEALTH_POTION);
		register(TNT);
		register(LANTERN);
		register(FLARE);
		register(GRAPPLING_HOOK);
		
		register(SPAWN_ZOMBIE);
		register(SPAWN_DUMMY);
		
		register(ROCK);
		register(FLINT);
		register(LOG);
		register(ACORN);
		register(PLANT_FIBRE);
		register(HEMP_SEED);
		
		register(AMMO);
		
		register(INFESTATION);
	}
	
	public static final Item AMMO = new ItemAmmo();
	public static final Item HEALTH_POTION = new ItemHealthPotion();
	public static final Item EMPTY = new ItemEmpty();
	public static final Item TNT = new ItemTnt();
	public static final Item LANTERN = new ItemLantern();
	public static final Item FLARE = new ItemFlare();
	public static final Item GRAPPLING_HOOK = new ItemGrapplingHook();
	
	public static final Item SPAWN_ZOMBIE = new ItemSpawnZombie();
	public static final Item SPAWN_DUMMY = new ItemSpawnDummy();
	
	public static final Item ROCK = new ItemRock();
	public static final Item FLINT = new ItemFlint();
	public static final Item LOG = new ItemLog();
	public static final Item ACORN = new ItemAcorn();
	public static final Item HEMP_SEED = new ItemHempSeed();
	public static final Item PLANT_FIBRE = new ItemPlantFibre();
	
	public static final Item INFESTATION = new ItemInfestation();
}
